# class Byebug::ThreadCommand::CurrentCommand

Information about the current thread

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/thread/current.rb, line 20
          def self.description
            <<-DESCRIPTION
              th[read] c[urrent]

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/thread/current.rb, line 16
    def self.regexp
      /^\s* c(?:urrent)? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/thread/current.rb, line 28
    def self.short_description
      "Shows current thread information"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/thread/current.rb, line 32
    def execute
      display_context(context)
    end